Name:		libsixel
Version:	1.8.6
Release:	1%{?dist}
Summary:	Sixel encoder/decoder library
License:	unknown
URL:		https://github.com/saitoha/libsixel
Source0:	https://github.com/saitoha/libsixel/releases/download/v%{version}/libsixel-%{version}.tar.gz

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	make
BuildRequires:	gcc

BuildRequires:	python3-devel
BuildRequires:	zlib-devel
BuildRequires:	glibc-devel
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)

%description
An encoder and decoder for DEC SIXEL graphics, and some converter programs.

Sixel, short for "six pixels", is a bitmap graphics format supported by
terminals and printers from DEC.  It consists of a pattern six pixels
high and one wide, resulting in 64 possible patterns.  Each possible
pattern is assigned an ASCII character, making the sixels easy to
transmit on 7-bit serial links.

Sixel was first introduced as a way of sending bitmap graphics to DEC
dot matrix printers like the LA50.  After being put into "sixel mode"
the following data was interpreted to directly control six of the pins
in the nine-pin print head.  A string of sixel characters encodes a
single 6-pixel high row of the image.


%package	devel
Summary:	Development headers for libsixel.
Requires:	libsixel = %{version}
%description devel
Development files for libsixel.


%package	-n python3-%{name}
Summary:	Python bindings for libsixel.
Requires:	libsixel = %{version}
%description	-n python3-%{name}
Python bindings for libsixel.


%prep
%setup	-n sixel-%{version}

autoreconf -vfi

%build
%configure \
	--disable-static
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%{?ldconfig_scriptlets}

%files
%{_bindir}/img2sixel
%{_bindir}/sixel2png
%{_libdir}/libsixel.so.1
%{_libdir}/libsixel.so.1.0.6
%{_mandir}/man1/img2sixel.1*
%{_mandir}/man1/sixel2png.1*
%{_mandir}/man5/sixel.5*
%{_datadir}/zsh/site-functions/_img2sixel
%{_datadir}/bash-completion/completions/img2sixel

%files	devel
%{_bindir}/libsixel-config
%{_includedir}/sixel.h
%{_libdir}/libsixel.so
%{_libdir}/pkgconfig/libsixel.pc

%files	-n python3-%{name}
%dir %{python3_sitelib}/libsixel/
%pycached %{python3_sitelib}/libsixel/__init__.py
%pycached %{python3_sitelib}/libsixel/decoder.py
%pycached %{python3_sitelib}/libsixel/encoder.py

%changelog
* Sat Aug 06 2022 Jashank Jeremy <fedora@jashankj.space> - 1.8.6-1
- Import from copr:saahriktu/libsixel; clean up.
